var l = Object.defineProperty;
var u = (e, t) => l(e, "name", { value: t, configurable: !0 });
function F(e, t, r) {
  const i = e.getSourceFile(t);
  return i ? r === i.getFullText() ? !1 : (e.updateFile(t, r), !0) : (e.createFile(t, r), !0);
}
u(F, "createOrUpdateFile");
export {
  F as createOrUpdateFile
};
